Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "logsSubscribe",
"params": [
"all",
{
"commitment": "finalized"
}
]
}{
"jsonrpc": "2.0",
"method": "logsNotification",
"params": {
"result": {
"context": {
"slot": 5208469
},
"value": {
"signature": "5XXN7L7cMGYTvckcaNeTXxhJgxeT1JTa9auwa2yXCFR1NXzwXrXNAWx4SaAw48S5186VzvXiXVEsWJu1WFR5AAmg",
"err": null,
"logs": [
"Program 11111111111111111111111111111111 invoke [1]",
"Program 11111111111111111111111111111111 success"
]
}
},
"subscription": 24040
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "logsSubscribe",
"params": [
"all",
{
"commitment": "finalized"
}
]
}{
"jsonrpc": "2.0",
"method": "logsNotification",
"params": {
"result": {
"context": {
"slot": 5208469
},
"value": {
"signature": "5XXN7L7cMGYTvckcaNeTXxhJgxeT1JTa9auwa2yXCFR1NXzwXrXNAWx4SaAw48S5186VzvXiXVEsWJu1WFR5AAmg",
"err": null,
"logs": [
"Program 11111111111111111111111111111111 invoke [1]",
"Program 11111111111111111111111111111111 success"
]
}
},
"subscription": 24040
}
}Websockets
Logs subscribe
Subscribe to transaction logs matching the selected filter. Save the subscription ID returned in result and match it against params.subscription in notifications. Use logsUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "logsSubscribe",
"params": [
"all",
{
"commitment": "finalized"
}
]
}{
"jsonrpc": "2.0",
"method": "logsNotification",
"params": {
"result": {
"context": {
"slot": 5208469
},
"value": {
"signature": "5XXN7L7cMGYTvckcaNeTXxhJgxeT1JTa9auwa2yXCFR1NXzwXrXNAWx4SaAw48S5186VzvXiXVEsWJu1WFR5AAmg",
"err": null,
"logs": [
"Program 11111111111111111111111111111111 invoke [1]",
"Program 11111111111111111111111111111111 success"
]
}
},
"subscription": 24040
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "logsSubscribe",
"params": [
"all",
{
"commitment": "finalized"
}
]
}{
"jsonrpc": "2.0",
"method": "logsNotification",
"params": {
"result": {
"context": {
"slot": 5208469
},
"value": {
"signature": "5XXN7L7cMGYTvckcaNeTXxhJgxeT1JTa9auwa2yXCFR1NXzwXrXNAWx4SaAw48S5186VzvXiXVEsWJu1WFR5AAmg",
"err": null,
"logs": [
"Program 11111111111111111111111111111111 invoke [1]",
"Program 11111111111111111111111111111111 success"
]
}
},
"subscription": 24040
}
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
logsSubscribe
type:object
Subscribe to transaction logs
logsNotification
type:object
Transaction logs notification
logsSubscribe
type:object
Subscribe to transaction logs
logsNotification
type:object
Transaction logs notification
Was this page helpful?